import { serverClient } from "@/lib/trpc/server"

import Form from "@/components/Forms/Edit/Profile"

export default async function EditProfileSlot() {
  const user = await serverClient().user.get({ mask: false })
  if (!user) {
    return null
  }
  return <Form user={user} />
}
